<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: user_relationship_include.php
| Author: TalkFever
| Site: http://www.talkfever.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$with_secret = defined('UF_REL_SECRET') ? UF_REL_SECRET : FALSE; // Set true for additional unspecified option
$input_type = 'form_select'; // form_select or form_checkbox (up to you)

$rel_options = [
    0 => $locale['uf_relationship1'],
    1 => $locale['uf_relationship2'],
    2 => $locale['uf_relationship3'],
    3 => $locale['uf_relationship4'],
    4 => $locale['uf_relationship5'],
    5 => $locale['uf_relationship6'],
    6 => $locale['uf_relationship7']
];

$rel_opts = [];

for ($i = 0; $i < count($rel_options); $i++) {
    $rel_opts[] = $rel_options[$i];
}

if ($profile_method == "input") {
    if (!$with_secret) {
        unset($rel_opts[6]);
    }

    $options = [
            'type'       => 'radio',
            'inline'     => TRUE,
            'error_text' => $locale['uf_relationship_error'],
            'options'    => $rel_opts,
        ] + $options;

    $user_fields = $input_type('user_relationship', $locale['uf_relationship'], $field_value, $options);
} else if ($profile_method == "display") {
    if ($field_value) {
        $user_fields = [
            'title' => $locale['uf_relationship'],
            'value' => $rel_opts[$field_value]
        ];
    }
}
